> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bigcapital.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get sales tax liability summary report



## OpenAPI

````yaml api-reference/openapi.json get /api/reports/sales-tax-liability-summary
openapi: 3.0.0
info:
  title: Bigcapital
  description: Financial accounting software
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /api/reports/sales-tax-liability-summary:
    get:
      tags:
        - Reports
      summary: Get sales tax liability summary report
      operationId: SalesTaxLiabilitySummaryController_getSalesTaxLiabilitySummary
      parameters:
        - name: Authorization
          in: header
          description: >-
            Value must be 'Bearer <token>' where <token> is an API key prefixed
            with 'bc_' or a JWT token.
          required: true
          schema:
            type: string
            example: Bearer bc_1234567890abcdef
        - name: organization-id
          in: header
          description: >-
            Required if Authorization is a JWT token. The organization ID to
            operate within.
          required: true
          schema:
            type: string
        - name: fromDate
          required: true
          in: query
          description: Start date for the sales tax liability summary
          schema:
            format: date-time
            example: '2024-01-01'
            type: string
        - name: toDate
          required: true
          in: query
          description: End date for the sales tax liability summary
          schema:
            format: date-time
            example: '2024-01-31'
            type: string
        - name: basis
          required: true
          in: query
          description: Accounting basis for the summary
          schema:
            example: accrual
            enum:
              - cash
              - accrual
            type: string
        - name: accept
          required: true
          in: header
          schema:
            type: string
      responses:
        '200':
          description: Sales tax liability summary report
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SalesTaxLiabilitySummaryResponseDto'
            application/json+table:
              schema:
                $ref: '#/components/schemas/SalesTaxLiabilitySummaryTableResponseDto'
components:
  schemas:
    SalesTaxLiabilitySummaryResponseDto:
      type: object
      properties:
        query:
          description: Query parameters used to generate the report
          allOf:
            - $ref: '#/components/schemas/SalesTaxLiabilitySummaryQueryResponseDto'
        data:
          description: Tax rate summaries
          type: array
          items:
            $ref: '#/components/schemas/TaxRateSummaryDto'
        meta:
          description: Report metadata
          allOf:
            - $ref: '#/components/schemas/SalesTaxLiabilitySummaryMetaDto'
      required:
        - query
        - data
        - meta
    SalesTaxLiabilitySummaryTableResponseDto:
      type: object
      properties:
        table:
          description: Table data structure
          allOf:
            - $ref: '#/components/schemas/FinancialTableDataDto'
        query:
          description: Query parameters used to generate the report
          allOf:
            - $ref: '#/components/schemas/SalesTaxLiabilitySummaryQueryResponseDto'
        meta:
          description: Report metadata
          allOf:
            - $ref: '#/components/schemas/SalesTaxLiabilitySummaryMetaDto'
      required:
        - table
        - query
        - meta
    SalesTaxLiabilitySummaryQueryResponseDto:
      type: object
      properties:
        fromDate:
          type: string
          description: Start date
        toDate:
          type: string
          description: End date
        numberFormat:
          description: Number format settings
          allOf:
            - $ref: '#/components/schemas/NumberFormatQueryDto'
      required:
        - fromDate
        - toDate
        - numberFormat
    TaxRateSummaryDto:
      type: object
      properties:
        id:
          type: number
          description: Tax rate ID
        name:
          type: string
          description: Tax rate name
        rate:
          type: number
          description: Tax rate percentage
        taxableAmount:
          description: Taxable amount
          allOf:
            - $ref: '#/components/schemas/FinancialReportTotalDto'
        taxAmount:
          description: Tax amount collected
          allOf:
            - $ref: '#/components/schemas/FinancialReportTotalDto'
        totalSales:
          description: Total sales (including tax)
          allOf:
            - $ref: '#/components/schemas/FinancialReportTotalDto'
      required:
        - id
        - name
        - rate
        - taxableAmount
        - taxAmount
        - totalSales
    SalesTaxLiabilitySummaryMetaDto:
      type: object
      properties:
        organizationName:
          type: string
          description: Organization name
        baseCurrency:
          type: string
          description: Base currency code
        dateFormat:
          type: string
          description: Date format string
        isCostComputeRunning:
          type: boolean
          description: Whether cost computation is running
        sheetName:
          type: string
          description: Sheet name
        formattedFromDate:
          type: string
          description: Formatted from date
        formattedToDate:
          type: string
          description: Formatted to date
        formattedDateRange:
          type: string
          description: Formatted date range
      required:
        - organizationName
        - baseCurrency
        - dateFormat
        - isCostComputeRunning
        - sheetName
        - formattedFromDate
        - formattedToDate
        - formattedDateRange
    FinancialTableDataDto:
      type: object
      properties:
        columns:
          description: Table column definitions
          type: array
          items:
            $ref: '#/components/schemas/FinancialTableColumnDto'
        rows:
          description: Table row data
          type: array
          items:
            $ref: '#/components/schemas/FinancialTableRowDto'
      required:
        - columns
        - rows
    NumberFormatQueryDto:
      type: object
      properties:
        precision:
          type: number
          description: Number of decimal places to display
          example: 2
        divideOn1000:
          type: boolean
          description: Whether to divide the number by 1000
          example: false
        showZero:
          type: boolean
          description: Whether to show zero values
          example: true
        formatMoney:
          type: string
          description: How to format money values
          example: total
          enum:
            - total
            - always
            - none
        negativeFormat:
          type: string
          description: How to format negative numbers
          example: parentheses
          enum:
            - parentheses
            - mines
    FinancialReportTotalDto:
      type: object
      properties:
        amount:
          type: number
          description: Numeric amount
        formattedAmount:
          type: string
          description: Formatted amount string
        currencyCode:
          type: string
          description: Currency code
        date:
          type: object
          description: Date associated with the total
      required:
        - amount
        - formattedAmount
        - currencyCode
    FinancialTableColumnDto:
      type: object
      properties:
        key:
          type: string
          description: Column key
        label:
          type: string
          description: Column header label
        cellIndex:
          type: number
          description: Cell position index
        children:
          description: Nested column definitions
          type: array
          items:
            $ref: '#/components/schemas/FinancialTableColumnDto'
      required:
        - key
        - label
    FinancialTableRowDto:
      type: object
      properties:
        cells:
          description: Cell data for this row
          type: array
          items:
            $ref: '#/components/schemas/FinancialTableCellDto'
        rowTypes:
          description: Row type classifications
          type: array
          items:
            type: string
        id:
          type: object
          description: Row identifier
        children:
          description: Child rows
          type: array
          items:
            $ref: '#/components/schemas/FinancialTableRowDto'
      required:
        - cells
        - rowTypes
        - id
    FinancialTableCellDto:
      type: object
      properties:
        key:
          type: string
          description: Cell key
        value:
          type: string
          description: Cell value
      required:
        - key
        - value

````